package config_manager

/* global config 예제
central:
  address: "http://localhost:9090"
  port: 443
log_Path: "./bin/log.xml"
paths:
  rootFolder : "/home/cm2/"
  configFolder : "config/"
  binaryFolder : "container/"
  pidFolder : "pids/"
  scriptFile : "start"
intervalSecond: 10
*/

type GlobalConfig struct {
	Central struct {
		Address string
		Port    int
	}
	Log_Path string
	Paths struct {
		RootFolder string
		ConfigFolder string
		BinaryFolder string
		PidFolder string
		ScriptFile string
	}
	IntervalSecond int
}